The officially official Devuan Forum!

You are not logged in.

#1 2022-02-04 20:58:08

garyk
Member
Registered: 2018-04-14
Posts: 40  

Rhythmbox throwing error after update/upgrade

I bought a new audio cd a few days ago and ripped it to my hard drive collection which I use Rhythmbox to play my music collection.  The new album played fine.

This morning I did an aptitude update/upgrade and after that Rhythmbox throws an error every time I play that one new album:  "Your Gstreamer installation is missing a plugin".

I am running ceres. Here is the output from the aptitude update/upgrade.

  aptitude safe-upgrade
Resolving dependencies...                
The following NEW packages will be installed:
  libldacbt-enc2{a} libopenaptx0{a} 
The following packages will be REMOVED:
  libmms0{u} libofa0{u} 
The following packages will be upgraded:
  gir1.2-gst-plugins-base-1.0 gir1.2-gstreamer-1.0 gstreamer1.0-alsa gstreamer1.0-gl gstreamer1.0-gtk3 gstreamer1.0-libav gstreamer1.0-plugins-bad gstreamer1.0-plugins-base 
  gstreamer1.0-plugins-good gstreamer1.0-plugins-ugly gstreamer1.0-pulseaudio gstreamer1.0-x libgstreamer-gl1.0-0 libgstreamer-plugins-bad1.0-0 libgstreamer-plugins-base1.0-0 
  libgstreamer1.0-0 
16 packages upgraded, 2 newly installed, 2 to remove and 0 not upgraded.
Need to get 29.3 MB of archives. After unpacking 3,331 kB will be used.
Do you want to continue? [Y/n/?] 
Get: 1 http://deb.devuan.org/merged ceres/main amd64 libgstreamer1.0-0 amd64 1.20.0-1 [2,289 kB]
Get: 2 http://deb.devuan.org/merged ceres/main amd64 libgstreamer-plugins-base1.0-0 amd64 1.20.0-1 [2,261 kB]
Get: 3 http://deb.devuan.org/merged ceres/main amd64 gstreamer1.0-plugins-good amd64 1.20.0-2 [3,310 kB]
Get: 4 http://deb.devuan.org/merged ceres/main amd64 gstreamer1.0-plugins-ugly amd64 1.20.0-1 [401 kB]
Get: 5 http://deb.devuan.org/merged ceres/main amd64 gstreamer1.0-gtk3 amd64 1.20.0-2 [1,436 kB]
Get: 6 http://deb.devuan.org/merged ceres/main amd64 gstreamer1.0-gl amd64 1.20.0-1 [1,518 kB]
Get: 7 http://deb.devuan.org/merged ceres/main amd64 gstreamer1.0-plugins-bad amd64 1.20.0-2 [4,589 kB]
Get: 8 http://deb.devuan.org/merged ceres/main amd64 gstreamer1.0-plugins-base amd64 1.20.0-1 [2,065 kB]
Get: 9 http://deb.devuan.org/merged ceres/main amd64 libgstreamer-gl1.0-0 amd64 1.20.0-1 [1,590 kB]
Get: 10 http://deb.devuan.org/merged ceres/main amd64 libgstreamer-plugins-bad1.0-0 amd64 1.20.0-2 [2,545 kB]
Get: 11 http://deb.devuan.org/merged ceres/main amd64 libldacbt-enc2 amd64 2.0.2.3+git20200429+ed310a0-4 [24.6 kB]
Get: 12 http://deb.devuan.org/merged ceres/main amd64 libopenaptx0 amd64 0.2.0-6 [14.2 kB]
Get: 13 http://deb.devuan.org/merged ceres/main amd64 gir1.2-gstreamer-1.0 amd64 1.20.0-1 [1,242 kB]
Get: 14 http://deb.devuan.org/merged ceres/main amd64 gir1.2-gst-plugins-base-1.0 amd64 1.20.0-1 [1,498 kB]
Get: 15 http://deb.devuan.org/merged ceres/main amd64 gstreamer1.0-alsa amd64 1.20.0-1 [1,444 kB]
Get: 16 http://deb.devuan.org/merged ceres/main amd64 gstreamer1.0-libav amd64 1.20.0-1 [219 kB]
Get: 17 http://deb.devuan.org/merged ceres/main amd64 gstreamer1.0-pulseaudio amd64 1.20.0-2 [1,417 kB]
Get: 18 http://deb.devuan.org/merged ceres/main amd64 gstreamer1.0-x amd64 1.20.0-1 [1,482 kB]
Fetched 29.3 MB in 3s (8,637 kB/s)         
Reading changelogs... Done
(Reading database ... 294949 files and directories currently installed.)
Preparing to unpack .../00-libgstreamer1.0-0_1.20.0-1_amd64.deb ...
Unpacking libgstreamer1.0-0:amd64 (1.20.0-1) over (1.18.5-1) ...
Preparing to unpack .../01-libgstreamer-plugins-base1.0-0_1.20.0-1_amd64.deb ...
Unpacking libgstreamer-plugins-base1.0-0:amd64 (1.20.0-1) over (1.18.5-1) ...
Preparing to unpack .../02-gstreamer1.0-plugins-good_1.20.0-2_amd64.deb ...
Unpacking gstreamer1.0-plugins-good:amd64 (1.20.0-2) over (1.18.5-2) ...
Preparing to unpack .../03-gstreamer1.0-plugins-ugly_1.20.0-1_amd64.deb ...
Unpacking gstreamer1.0-plugins-ugly:amd64 (1.20.0-1) over (1.18.5-1) ...
Preparing to unpack .../04-gstreamer1.0-gtk3_1.20.0-2_amd64.deb ...
Unpacking gstreamer1.0-gtk3:amd64 (1.20.0-2) over (1.18.5-2) ...
Preparing to unpack .../05-gstreamer1.0-gl_1.20.0-1_amd64.deb ...
Unpacking gstreamer1.0-gl:amd64 (1.20.0-1) over (1.18.5-1) ...
Preparing to unpack .../06-gstreamer1.0-plugins-bad_1.20.0-2_amd64.deb ...
Unpacking gstreamer1.0-plugins-bad:amd64 (1.20.0-2) over (1.18.5-1+b4) ...
Preparing to unpack .../07-gstreamer1.0-plugins-base_1.20.0-1_amd64.deb ...
Unpacking gstreamer1.0-plugins-base:amd64 (1.20.0-1) over (1.18.5-1) ...
Preparing to unpack .../08-libgstreamer-gl1.0-0_1.20.0-1_amd64.deb ...
Unpacking libgstreamer-gl1.0-0:amd64 (1.20.0-1) over (1.18.5-1) ...
Preparing to unpack .../09-libgstreamer-plugins-bad1.0-0_1.20.0-2_amd64.deb ...
Unpacking libgstreamer-plugins-bad1.0-0:amd64 (1.20.0-2) over (1.18.5-1+b4) ...
Selecting previously unselected package libldacbt-enc2:amd64.
Preparing to unpack .../10-libldacbt-enc2_2.0.2.3+git20200429+ed310a0-4_amd64.deb ...
Unpacking libldacbt-enc2:amd64 (2.0.2.3+git20200429+ed310a0-4) ...
Selecting previously unselected package libopenaptx0:amd64.
Preparing to unpack .../11-libopenaptx0_0.2.0-6_amd64.deb ...
Unpacking libopenaptx0:amd64 (0.2.0-6) ...
(Reading database ... 294969 files and directories currently installed.)
Removing libmms0:amd64 (0.6.4-3) ...
Removing libofa0:amd64 (0.9.3-21) ...
(Reading database ... 294957 files and directories currently installed.)
Preparing to unpack .../0-gir1.2-gstreamer-1.0_1.20.0-1_amd64.deb ...
Unpacking gir1.2-gstreamer-1.0:amd64 (1.20.0-1) over (1.18.5-1) ...
Preparing to unpack .../1-gir1.2-gst-plugins-base-1.0_1.20.0-1_amd64.deb ...
Unpacking gir1.2-gst-plugins-base-1.0:amd64 (1.20.0-1) over (1.18.5-1) ...
Preparing to unpack .../2-gstreamer1.0-alsa_1.20.0-1_amd64.deb ...
Unpacking gstreamer1.0-alsa:amd64 (1.20.0-1) over (1.18.5-1) ...
Preparing to unpack .../3-gstreamer1.0-libav_1.20.0-1_amd64.deb ...
Unpacking gstreamer1.0-libav:amd64 (1.20.0-1) over (1.18.5-1) ...
Preparing to unpack .../4-gstreamer1.0-pulseaudio_1.20.0-2_amd64.deb ...
Unpacking gstreamer1.0-pulseaudio:amd64 (1.20.0-2) over (1.18.5-2) ...
Preparing to unpack .../5-gstreamer1.0-x_1.20.0-1_amd64.deb ...
Unpacking gstreamer1.0-x:amd64 (1.20.0-1) over (1.18.5-1) ...
Setting up libldacbt-enc2:amd64 (2.0.2.3+git20200429+ed310a0-4) ...
Setting up libopenaptx0:amd64 (0.2.0-6) ...
Setting up libgstreamer1.0-0:amd64 (1.20.0-1) ...
Setcap worked! gst-ptp-helper is not suid!
Setting up gir1.2-gstreamer-1.0:amd64 (1.20.0-1) ...
Setting up libgstreamer-plugins-base1.0-0:amd64 (1.20.0-1) ...
Setting up libgstreamer-plugins-bad1.0-0:amd64 (1.20.0-2) ...
Setting up libgstreamer-gl1.0-0:amd64 (1.20.0-1) ...
Setting up gstreamer1.0-plugins-base:amd64 (1.20.0-1) ...
Setting up gstreamer1.0-plugins-ugly:amd64 (1.20.0-1) ...
Setting up gstreamer1.0-libav:amd64 (1.20.0-1) ...
Setting up gstreamer1.0-gl:amd64 (1.20.0-1) ...
Setting up gstreamer1.0-x:amd64 (1.20.0-1) ...
Setting up gstreamer1.0-alsa:amd64 (1.20.0-1) ...
Setting up gstreamer1.0-plugins-good:amd64 (1.20.0-2) ...
Setting up gir1.2-gst-plugins-base-1.0:amd64 (1.20.0-1) ...
Setting up gstreamer1.0-gtk3:amd64 (1.20.0-2) ...
Setting up gstreamer1.0-plugins-bad:amd64 (1.20.0-2) ...
Setting up gstreamer1.0-pulseaudio:amd64 (1.20.0-2) ...
Processing triggers for libc-bin (2.33-5) ...

Current status: 0 (-16) upgradable.

Anyone have any idea as to what went wrong in the upgrade?

Offline

#2 2022-02-04 21:06:17

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 2,388  

Re: Rhythmbox throwing error after update/upgrade

Have you tried full-upgrade? It might be needed for a "clean" upgrade. But it might also break things more.

Random things breaking is to be expected when running ceres. That's why it's also called "unstable" wink


To obtain a root shell use su -. Using just su will result in "command not found" messages.

Offline

#3 2022-02-04 22:39:37

garyk
Member
Registered: 2018-04-14
Posts: 40  

Re: Rhythmbox throwing error after update/upgrade

Head_on_a_Stick wrote:

Have you tried full-upgrade? It might be needed for a "clean" upgrade. But it might also break things more.

Random things breaking is to be expected when running ceres. That's why it's also called "unstable" wink


Safe-upgrade updated all possible packages available. 

I've run sid and ceres for decades and I'm still almost always surprised at package breakage.  It just doesn't happen very often.  And almost always happens when there is a backlog of packages that can't be full-upgraded due to major system package upgrades. 

Must be really great to be as smart and knowledgeable as you.

Offline

#4 2022-02-04 22:53:46

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 2,388  

Re: Rhythmbox throwing error after update/upgrade

garyk wrote:

I've run sid and ceres for decades

My apologies. I didn't mean to offend.


To obtain a root shell use su -. Using just su will result in "command not found" messages.

Offline

Board footer